Spinrun Docs
REST APIRuns

Read an agent run projection

Read an agent run projection — Spinrun Build REST API operation.

GET/api/build/runs/{runId}

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth access token whose grant carries Build authorization.

In: header

Path Parameters

runId*string

Run id (UUID).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/build/runs/string"
{  "data": {    "id": "string",    "agent": {      "slug": "string",      "name": "string"    },    "status": "string",    "version": 0,    "steps": 0,    "transcript": [      null    ],    "final_text": "string",    "tool_calls": [      null    ],    "credits": 0,    "error": "string",    "started_at": "string",    "run_started_at": "string",    "finished_at": "string",    "warning": "string"  }}